{% extends "collectors/base.html" %}

{% block main %}
    <div class="collectors">
        <div class="collectors-heading">
            <h1>Collectors</h1>
            <p>The collectors collect data from various datasources depending on their collector-class</p>
        </div>
        <div class="collectors-table">
            <table class="collector-table">
                <tr>
                    <th>Collector Name</th>
                    <th>Collector Class</th>
                    <th>Log Level</th>
                    <th>Enabled</th>
                </tr>
                {% for collector in collectors %}
                    <tr>
                        <td>
                            <a href="{{ url_for('collectors.details_collector', collector_name=collector.collector_name) }}">
                                {{ collector.collector_name }}
                            </a>
                        </td>
                        <td>{{ collector.collector_class }}</td>
                        <td>{{ collector.log_level }}</td>
                        <td>{{ collector.enabled }}</td>
                    </tr>
                {% endfor %}
            </table>
            <button class="button-3">
                <a href="{{ url_for('collectors.add_collector') }}">Add Collector</a>
            </button>
        </div>
    </div>
{% endblock %}